Skip to content
Product Docs

List Organizations

GET/api/v2/organizations

List organizations the current user can access.

Query ParametersExpand Collapse
name: optional string
page_size: optional number
page_token: optional string
Cookie ParametersExpand Collapse
session: optional string
ReturnsExpand Collapse
items: array of Organization { id, name, created_at, 2 more }

The list of items.

id: string

The organization’s unique identifier.

name: string

The organization’s display name.

created_at: optional string

Creation datetime

formatdate-time
metadata: optional map[unknown]

Additional organization metadata.

updated_at: optional string

Update datetime

formatdate-time
next_page_token: optional string

A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.

total_size: optional number

The total number of items available. This is only populated when specifically requested. The value may be an estimate and can be used for display purposes only.

List Organizations

curl https://api.cloud.llamaindex.ai/api/v2/organizations \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY"
{
  "items": [
    {
      "id": "id",
      "name": "name",
      "created_at": "2019-12-27T18:11:19.117Z",
      "metadata": {
        "foo": "bar"
      },
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Returns Examples
{
  "items": [
    {
      "id": "id",
      "name": "name",
      "created_at": "2019-12-27T18:11:19.117Z",
      "metadata": {
        "foo": "bar"
      },
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}